> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook endpoint

> Returns a single webhook endpoint. The signing `secret` is never included — it's only returned when you [create the endpoint](/api-reference/webhooks/create-a-webhook-endpoint) or [rotate the secret](/api-reference/webhooks/rotate-a-webhook-endpoint-secret).

Returns `404` when the id doesn't exist, belongs to another account, or belongs to an endpoint created by a different app.



## OpenAPI

````yaml /api-reference/v4.json get /v4/webhook_endpoints/{id}
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/webhook_endpoints/{id}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook endpoint
      description: >-
        Returns a single webhook endpoint. The signing `secret` is never
        included — it's only returned when you [create the
        endpoint](/api-reference/webhooks/create-a-webhook-endpoint) or [rotate
        the secret](/api-reference/webhooks/rotate-a-webhook-endpoint-secret).


        Returns `404` when the id doesn't exist, belongs to another account, or
        belongs to an endpoint created by a different app.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          example: 17
      responses:
        '200':
          description: Returns the webhook endpoint
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_endpoint:
                    type: object
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                      url:
                        type: string
                      events:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                      source:
                        type: string
                      description:
                        type: string
                      created_by_app:
                        nullable: true
                      created_at:
                        type: string
                      previous_secret_expires_at:
                        nullable: true
                    required:
                      - id
                      - name
                      - url
                      - events
                      - status
                      - source
                      - description
                      - created_by_app
                      - created_at
                      - previous_secret_expires_at
                required:
                  - webhook_endpoint
              example:
                webhook_endpoint:
                  id: 13
                  name: My webhook
                  url: https://hooks.example.com/incoming
                  events:
                    - subscriber.created
                  status: active
                  source: creator
                  description: A test webhook
                  created_by_app: null
                  created_at: '2023-02-17T11:43:55Z'
                  previous_secret_expires_at: null
        '404':
          description: Returns a 404 when the provided id does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - Not Found
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````

## Related topics

- [Create a webhook endpoint](/api-reference/webhooks/create-a-webhook-endpoint.md)
- [List webhook endpoints](/api-reference/webhooks/list-webhook-endpoints.md)
- [Webhooks overview](/webhooks/overview.md)
- [Update a webhook endpoint](/api-reference/webhooks/update-a-webhook-endpoint.md)
- [Delete a webhook endpoint](/api-reference/webhooks/delete-a-webhook-endpoint.md)
